The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> tcgetsid - get the process group ID for the session leader for the controlling terminal

#### SYNOPSIS

> ``[XSI] #include <termios.h>
> pid_t tcgetsid(int` fildes`);``
> `
> `

#### DESCRIPTION

> The tcgetsid() function shall obtain the process group ID of the session for which the terminal specified by fildes is the controlling terminal.

#### RETURN VALUE

> Upon successful completion, tcgetsid() shall return the process group ID associated with the terminal. Otherwise, a value of (pid_t)-1 shall be returned and errno set to indicate the error.

#### ERRORS

> The tcgetsid() function shall fail if:

> [EBADF]
>   The fildes argument is not a valid file descriptor.
> [ENOTTY]
>   The calling process does not have a controlling terminal, or the file is not the controlling terminal.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> The Base Definitions volume of IEEE Std 1003.1-2001, <termios.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

> The [EACCES] error has been removed from the list of mandatory errors, and the description of [ENOTTY] has been reworded.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]